Loading...
Searching...
No Matches
Opm::gpuistl::PointerView< void > Class Reference

Specialization of PointerView for void type This is needed beause we cannot have a PointerView<void> specialization due to dereferincing a void ptr. More...

`#include <gpu_smart_pointer.hpp>`

## Public Member Functions

| PointerView (const PointerView &other)=default
| PointerView (const std::shared_ptr< void > &ptr)
template<class Deleter>
| PointerView (const std::unique_ptr< void, Deleter > &ptr)
| PointerView (void *ptr)
OPM_HOST_DEVICE void * | get () const
OPM_HOST_DEVICE void * | operator-> () const
OPM_HOST_DEVICE const void & | operator* () const

## Detailed Description

Specialization of PointerView for void type This is needed beause we cannot have a PointerView<void> specialization due to dereferincing a void ptr.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/gpu_smart_pointer.hpp